> For the complete documentation index, see [llms.txt](https://docs.ladybug.tools/ladybug-primer/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ladybug.tools/ladybug-primer/components/4_extra/image_viewer.md).

# Image Viewer

![](/files/PjmiqbKJhevfyZEgIRKk)

![](/files/VVkdD0V09JXV2imZ60Un) - [\[source code\]](https://github.com/ladybug-tools/ladybug-grasshopper/blob/master/ladybug_grasshopper/src//LB%20Image%20Viewer.py)

Preview image files Please find the source code from: <https://github.com/ladybug-tools/ladybug-grasshopper-dotnet>

### Inputs

* **imagePath**

one or a list of image file path.

* **coordinates**

A list of points for extracting colors from the source image.

* **scale**

Set this image view port scale.

### Outputs

* **imagePath**

A new image marked with coordinates.

* **values**

Color information or Radiance value that extracted from the input image. Radiance value only available on HDR image, and the unit is based on the Radiance study type. -Illuminance: lux -Luminance: cd/m2

* **GIF**

Generates an animated gif image when there is a list of images.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ladybug.tools/ladybug-primer/components/4_extra/image_viewer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
